"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _reactNativePermissions = require("react-native-permissions");

const {
  PitchTracker
} = _reactNative.NativeModules;
const eventEmitter = new _reactNative.NativeEventEmitter(PitchTracker);

const askPermission = async () => {
  try {
    let permission = _reactNative.Platform.select({
      android: _reactNativePermissions.PERMISSIONS.ANDROID.RECORD_AUDIO,
      ios: _reactNativePermissions.PERMISSIONS.IOS.MICROPHONE
    });

    const result = await (0, _reactNativePermissions.request)(permission);

    if (result === _reactNativePermissions.RESULTS.GRANTED) {
      console.log('Microphone Permission Successful');
    }
  } catch (error) {
    console.log('askPermission', error);
  }
};

var _default = { ...PitchTracker,
  prepare: () => {
    askPermission();
    PitchTracker.prepare();
  },
  noteOn: callback => {
    eventEmitter.addListener('NoteOn', callback);
  },
  noteOff: callback => {
    eventEmitter.addListener('NoteOff', callback);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map